/**
 * eAdventure (formerly <e-Adventure> and <e-Game>) is a research project of the
 *    <e-UCM> research group.
 *
 *    Copyright 2005-2010 <e-UCM> research group.
 *
 *    You can access a list of all the contributors to eAdventure at:
 *          http://e-adventure.e-ucm.es/contributors
 *
 *    <e-UCM> is a research group of the Department of Software Engineering
 *          and Artificial Intelligence at the Complutense University of Madrid
 *          (School of Computer Science).
 *
 *          C Profesor Jose Garcia Santesmases sn,
 *          28040 Madrid (Madrid), Spain.
 *
 *          For more info please visit:  <http://e-adventure.e-ucm.es> or
 *          <http://www.e-ucm.es>
 *
 * ****************************************************************************
 *
 *  This file is part of eAdventure, version 2.0
 *
 *      eAdventure is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU Lesser General Public License as published by
 *      the Free Software Foundation, either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      eAdventure is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU Lesser General Public License for more details.
 *
 *      You should have received a copy of the GNU Lesser General Public License
 *      along with eAdventure.  If not, see <http://www.gnu.org/licenses/>.
 */

package es.eucm.ead.model.elements.weev.story.element.impl.effects;

import es.eucm.ead.model.elements.weev.story.element.impl.AbstractEffect;
import es.eucm.ead.model.elements.weev.story.element.impl.nodes.Timer;
import es.eucm.ead.model.interfaces.Element;
import es.eucm.ead.model.interfaces.Param;

/**
 * Effect to change the status of a {@link es.eucm.ead.model.elements.weev.story.element.impl.nodes.Timer}
 */
@Element
public class TimerEffect extends AbstractEffect {

	public static enum Status {
		STARTED, STOPPED
	}

	/**
	 * The desired {@link Status} of the {@link es.eucm.ead.model.elements.weev.story.element.impl.nodes.Timer}
	 */
	@Param
	private Status status;

	/**
	 * The {@link es.eucm.ead.model.elements.weev.story.element.impl.nodes.Timer} to be affected
	 */
	@Param
	private Timer timer;

	/**
	 * @param timer
	 *            The desired {@link Status} of the {@link Timer}
	 * @param status
	 *            The {@link Timer} to be affected
	 */
	public TimerEffect(Timer timer, Status status) {
		this.timer = timer;
		this.status = status;
	}

	public Status getStatus() {
		return status;
	}

	public void setStatus(Status status) {
		this.status = status;
	}

	public Timer getTimer() {
		return timer;
	}

	public void setTimer(Timer timer) {
		this.timer = timer;
	}

}
